Loading...
Searching...
No Matches
QoreIteratorBase Class Reference

abstract base class for iterator private data More...

`#include <QoreIteratorBase.h>`

Inheritance diagram for QoreIteratorBase:
[legend]
Collaboration diagram for QoreIteratorBase:
[legend]

## Public Member Functions

DLLEXPORT | QoreIteratorBase ()
| creates the object and marks it as owned by the current thread
Public Member Functions inherited from AbstractPrivateData
virtual DLLLOCAL void | deref ()
| decrements the reference count of the object without the possibility of throwing a Qore-language exception
virtual DLLLOCAL void | deref (ExceptionSink *xsink)
| decrements the reference count of the object More...
DLLLOCAL void | ref () const
| increments the reference count of the object
Public Member Functions inherited from QoreReferenceCounter
DLLEXPORT | QoreReferenceCounter ()
| creates the reference counter object
DLLEXPORT | QoreReferenceCounter (const QoreReferenceCounter &old)
| creates a new object with a reference count of 1 More...
DLLEXPORT | ~QoreReferenceCounter ()
| destroys the reference counter object
DLLEXPORT bool | is_unique () const
| returns true if the reference count is 1 More...
DLLEXPORT int | reference_count () const
| gets the reference count More...
DLLEXPORT bool | ROdereference () const
| atomically decrements the reference count More...
DLLEXPORT void | ROreference () const
| atomically increments the reference count

## Protected Member Functions

virtual DLLEXPORT | ~QoreIteratorBase ()
| destroys the object
Protected Member Functions inherited from AbstractPrivateData
virtual DLLLOCAL | ~AbstractPrivateData ()
| as these objects are reference counted, the destructor should be called only when the reference count = 0 and not manually

## Detailed Description

abstract base class for iterator private data

The documentation for this class was generated from the following file:

- include/qore/QoreIteratorBase.h